Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractServiceManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractServiceManager

All Implemented Interfaces:
  ServiceManager

    public abstract class AbstractServiceManager
    extends Object

Base implementation of the `ServiceManager` interface.

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary
`private GriffonApplication` | `app`

Constructor Summary
`AbstractServiceManager(GriffonApplication app)`

Method Summary
`GriffonApplication` | `getApp()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### app

    private final GriffonApplication app

Constructor Detail

### AbstractServiceManager

    public AbstractServiceManager(GriffonApplication app)

Method Detail

### getApp

    public GriffonApplication getApp()

Groovy Documentation